Bug 32180 - Video can overlap position:fixed element when scrolling
Summary: Video can overlap position:fixed element when scrolling
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Simon Fraser (smfr)
URL: http://camendesign.com/code/video_for...
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-04 16:32 PST by Simon Fraser (smfr)
Modified: 2010-01-28 10:07 PST (History)
2 users (show)

See Also:


Attachments
Patch (97.93 KB, patch)
2010-01-27 16:48 PST, Simon Fraser (smfr)
mitz: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2009-12-04 16:32:58 PST
On the page in the URL, make the window short enough so that when you scroll up, the video overlaps the position:fixed bar at the bottom. Note that it's possible to get into a state where the video can overlap the position:fixed bar. Resizing the window fixes it.

The issue here is that we're not doing layout on scroll, so we're not running the overlap logic in RenderLayerCompositor::computeCompositingRequirements().
Comment 1 Simon Fraser (smfr) 2010-01-25 21:21:51 PST
Also seen on nyt.com, and in NetNewsWire themes.
Comment 2 Simon Fraser (smfr) 2010-01-27 16:48:39 PST
Created attachment 47574 [details]
Patch
Comment 3 Simon Fraser (smfr) 2010-01-28 10:07:29 PST
http://trac.webkit.org/changeset/54006